From 00b1ec5be863e141b2c26c5a40a11232a07b4901 Mon Sep 17 00:00:00 2001
From: manisha <manisha_kanyal.scsebtech@galgotiasuniversity.edu.in>
Date: Jun 07 2021 13:10:27 +0000
Subject: [PATCH 4/9] filter implementation


---

diff --git a/src/wizard/Filter.js b/src/wizard/Filter.js
new file mode 100644
index 0000000..5a39cac
--- /dev/null
+++ b/src/wizard/Filter.js
@@ -0,0 +1,63 @@
+import React, { useState } from "react"
+import { shallowEqual, useSelector } from "react-redux"
+import { UncontrolledDropdown, DropdownToggle, DropdownMenu, DropdownItem } from "reactstrap"
+
+import * as R from "ramda"
+import Easyfix from "./Easyfix"
+
+function Filter() {
+  const [lang, setLang] = useState(null)
+
+  const getlang = (lang) => {
+    setLang(lang)
+  }
+
+  const selectAction = (state) => state.wizard.all_actions
+
+  const actions = useSelector(selectAction, shallowEqual)
+  console.log(actions)
+  const grouped = R.groupBy((action) => action.provider, actions["easyfix"])
+
+  const getData = () => {
+    const getUniqueTags = R.pipe(
+      R.map((action) => action.tags),
+      R.flatten,
+      R.uniq
+    )
+    const tags = getUniqueTags(grouped["easyfix"])
+    return tags
+  }
+
+  const processData = (data, firstLevelGroupKey, secondLevelGroupKey) => {
+    const getProcessedData = R.pipe(
+      R.groupBy((a) => a.extra_data[firstLevelGroupKey]),
+      R.map((v) => R.groupBy((a) => a.extra_data[secondLevelGroupKey], v))
+    )
+    return getProcessedData(data)
+  }
+
+  //   const getData2 = () => {
+  //     const actions = R.filter((a) => a.tags.includes(lang), grouped["easyfix"])
+  //     return actions
+  //   }
+
+  const easyfixTestingData = processData(getData() || [], "repo_org", "repo_name")
+
+  console.log(lang)
+
+  return (
+    <div>
+      <UncontrolledDropdown>
+        <DropdownToggle caret>language</DropdownToggle>
+        <DropdownMenu>
+          {getData().map((language) => (
+            <DropdownItem onClick={() => getlang(language)}>{language}</DropdownItem>
+          ))}
+        </DropdownMenu>
+      </UncontrolledDropdown>
+      <Easyfix data={easyfixTestingData} key="easyfix" />
+    </div>
+  )
+}
+
+export default Filter
diff --git a/src/wizard/Wizard.js b/src/wizard/Wizard.js
index cfb7561..d854992 100644
--- a/src/wizard/Wizard.js
+++ b/src/wizard/Wizard.js
@@ -1,10 +1,11 @@
 import React, { Component } from "react"
 import Layout from "../layout/Layout"
-import { Card, CardBody, Col, Container, Row } from "reactstrap"
+import { Col, Container, Row } from "reactstrap"
 
 import { connect } from "react-redux"
 import { loadWizardData } from "../actions/reduxActions"
 import WizardStepper from "./WizardStepper"
+import Filter from "./Filter"
 
 class Wizard extends Component {
   constructor(props) {
@@ -64,13 +65,12 @@ class Wizard extends Component {
     console.log(this.state.steps)
     return (
       <Layout apiCallStatus={this.props.api_call_status}>
-        {/* <Card className=" d-flex justify-content-center">
-          <CardBody> */}
         <Container>
           <Row className="justify-content-center align-items-center">
             <Col md="12">
-              <WizardStepper steps={this.state.steps} onNext={this.onNext} onPrev={this.onPrev} />
-              {this.state.steps.currentStep === "STEP1" ? (
+              {/* <WizardStepper steps={this.state.steps} onNext={this.onNext} onPrev={this.onPrev} /> */}
+              <Filter />
+              {/* {this.state.steps.currentStep === "STEP1" ? (
                 <Col md="12">
                   <h1 className="padded text-center">Nothing sparked joy?</h1>
                   <h4 className="padded text-center">
@@ -80,12 +80,10 @@ class Wizard extends Component {
                     !
                   </h4>
                 </Col>
-              ) : null}
+              ) : null} */}
             </Col>
           </Row>
         </Container>
-        {/* </CardBody>
-        </Card> */}
       </Layout>
     )
   }

